.pnpm:
  image: node:19
  before_script:
    - export NODE_OPTIONS=--max-old-space-size=32768
    - npm install -g pnpm
    - pnpm --version
    - pnpm install
  cache:
    paths:
      - node_modules/

stages:
  - build
  - deploy

build:
  extends: .pnpm
  stage: build
  script:
    - pnpm run build --base /maths/maths-2600-slides-calculabilite/
  artifacts:
    paths:
      - dist

pages:
  stage: deploy
  variables:
    GIT_STRATEGY: none
  script:
    - mv dist public
  artifacts:
    paths:
      - public
  only:
    - main
